Skip to content

Apply Proposal

POST
/api/v1/self-improvement/proposals/{proposal_id}/apply
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/self-improvement/proposals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/apply \
--header 'X-API-Key: <X-API-Key>'

Persist the exact owner-approved runtime configuration and its snapshot.

proposal_id
required
Proposal Id
string format: uuid

Successful Response

Media typeapplication/json
AppliedProposalResponse

Returned by POST /proposals/{id}/apply on success.

object
after
required
After
object
key
additional properties
any
applied_at
required
Applied At
string format: date-time
before
required
Before
object
key
additional properties
any
proposal_id
required
Proposal Id
string format: uuid
proposal_type
required
Proposal Type
string
Allowed values: prompt_ab_winner model_reroute
role
required
Any of:
string
run_log_id
required
Any of:
string format: uuid
Example
{
"proposal_type": "prompt_ab_winner"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}